%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/klauspost/cpuid
Version:                2.2.5

%gometa

%global goaltipaths     github.com/klauspost/cpuid/v2

%global common_description %{expand:
Package cpuid provides information about the CPU running the current program.

CPU features are detected on startup, and kept for fast access through the life
of the application. Currently x86 / x64 (AMD64) is supported, and no external C
(cgo) code is used, which should make the library very easy to use.

You can access the CPU information by accessing the shared CPU variable of the
cpuid library.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.txt README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        CPU feature identification for Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
